Skip to main content
PUT
Create logging topic

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

region_id
integer
required

Region ID

Body

application/json
name
string
required

Kafka topic name to be used in log shipper config to write logs to LaaS

Required string length: 1 - 223
Pattern: ^[a-z0-9](?:[-a-z0-9]*[a-z0-9])?(?:\.[a-z0-9](?:[-a-z0-9]*[a-z0-9])*)*$
Example:

"my-topic"

index_pattern
IndexPatternSerializer · object | null

Index Pattern data

Example:
retention_policy
LaasIndexRetentionPolicyPydanticSerializer · object | null
Example:
size_in_bytes
integer
default:0

Size of the topic in bytes

Required range: x >= 0

Response

LaaS Kafka topic

index_pattern
IndexPatternSerializer · object | null
required

Index Pattern data

Example:
name
string
required

Kafka topic name to be used in log shipper config to write logs to LaaS

Example:

"my-topic"

retention_policy
LaasIndexRetentionPolicyPydanticSerializer · object | null
required
Example:
size_in_bytes
integer
required

Size of the topic in bytes

Required range: x >= 0